//
// User Bean Class:  Transfers application server data
// containing user account creation information.
//

public class UserInfo {

	// Class variables
 	String username="", pass1="", pass2="", custName="", address="";	
	boolean accessed = false;

	// Standard Input Functions
	public void setUsername( String value ) {
		if (value != null)
			username = value;
	}

	public void setPass1( String value ) {
		if (value != null)
			pass1 = value;
	}

	public void setPass2( String value ) {
		if (value != null)
			pass2 = value;
	}

	public void setCustName( String value ) {
		if (value != null)
			custName = value;
	}

	public void setAddress( String value ) {
		if (value != null)
			address = value;
	}

	public void setRetry( boolean value ) {
		accessed = value;
	}


	// Standard Output Functions
	public String getUsername() {
		return username;
	}

	public String getPass1() {
		return pass1;
	}

	public String getPass2() {
		return pass2;
	}

	public String getCustName() {
		return custName;
	}

	public String getAddress() {
		return address;
	}

	// returns false only on first access of form
	public boolean Retry() {
		return accessed;
	}
} // UserInfo